Start Updating repository catalogue

Updating repository catalogue

The following 7 package(s) will be affected (of 0 checked): New packages to be INSTALLED: openvpn23: 2.3.14 [pf Sense] easy-rsa: 3.0.1_1 [pf Sense] Installed packages to be UPGRADED: pf Sense-default-config-serial: 2.3.3.a.20170203.1331 - 9.11.0P3 [pf Sense] Installed packages to be REINSTALLED: net-snmp-5.7.3_11 [pf Sense] (options changed) Number of packages to be installed: 2 Number of packages to be upgraded: 4 Number of packages to be reinstalled: 1 The process will require 1 Mi B more space.

The crash only occours when debug package is installed. = NULL), function pkg_conflicts_check_chain_conflict, file pkg_jobs_conflicts.c, line 500.

So the necessary items to reproduce it are: [2.3.2-DEVELOPMENT][[email protected]]/root: pkg install pf Sense-kernel-debug-pf Sense-2.3.2.a.20160717.2316 Updating pf Sense-core repository catalogue... Child process pid=78415 terminated abnormally: Abort trap I found the root cause of this issue and it is an error here when we created pf Sense-kernel-pf Sense package that contain leftovers from pf Sense-kernel-debug-pf Sense (license files). I'm leaving the issue opened here because I'm not sure pkg should crash in this case. mysql56-server-5.6.33 is locked and may not be modified mysql56-client-5.6.33 is locked and may not be modified mysql56-client-5.6.33 is locked and may not be modified mysql56-client-5.6.33 is locked and may not be modified mysql56-client-5.6.33 is locked and may not be modified mysql56-client-5.6.33 is locked and may not be modified The following 4 package(s) will be affected (of 0 checked): New packages to be INSTALLED: py27-My SQLdb56: 1.2.5 py27-setuptools27: 23.1.0 python2: 2_3 mariadb101-client: 10.1.17 Number of packages to be installed: 4 The process will require 39 Mi B more space. Fetching py27-My SQLdb56-1.2.5.txz: 100% 85 Ki B 86.5k B/s Fetching py27-setuptools27-23.1.0.txz: 100% 305 Ki B 311.9k B/s Fetching python2-2_3.txz: 100% 1 Ki B 1.1k B/s Fetching mariadb101-client-10.1.17.txz: 100% 1 Mi B 1.5MB/s Checking integrity...

$ pkg install -y py27-My SQLdb56 Updating Free BSD repository catalogue... mysql56-client-5.6.33 is locked and may not be modified Assertion failed: (cun All repositories are up to date.

[30 instances of:] nvidia-driver-367.44 is locked and may not be modified redshift-1.7_1 is locked and may not be modified Checking integrity...

Before you transfer newer packages into your local repository, make sure your repository server is running the same or a newer version of the Oracle Solaris 11 OS as the version for which the packages you plan to copy are built.

For example, if the server is running Oracle Solaris 11 and you want to update your repository to the Oracle Solaris 11 Update 1 repository, update the server to Oracle Solaris 11 Update 1 before you update your repository.

This picks up 2.3.4 snapshot, that at least finally makes sense.- switch branch to stable in GUI- 13/ from console - NOW it picks up 2.3.3 stable, incredible!!!